Package org.eclipse.jgit.transport

## Class DaemonService

- java.lang.Object
- - org.eclipse.jgit.transport.DaemonService

    public abstract class DaemonService
    extends Object

A service exposed by `Daemon` over anonymous `git://`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCommandName()`
`boolean` `handles​(String commandLine)` Determine if this service can handle the requested command.
`boolean` `isEnabled()`
`boolean` `isOverridable()`
`void` `setEnabled​(boolean on)`
`void` `setOverridable​(boolean on)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isEnabled

    public boolean isEnabled()

Returns:
  is this service enabled for invocation?

#### setEnabled

    public void setEnabled​(boolean on)

Parameters:
  `on` - true to allow this service to be used; false to deny it.

#### isOverridable

    public boolean isOverridable()

Returns:
  can this service be configured in the repository config file?

#### setOverridable

    public void setOverridable​(boolean on)

Parameters:
  `on` - true to permit repositories to override this service's enabled state with the `daemon.servicename` config setting.

#### getCommandName

    public String getCommandName()

Returns:
  name of the command requested by clients.

#### handles

    public boolean handles​(String commandLine)

Determine if this service can handle the requested command.

Parameters:
  `commandLine` - input line from the client.
Returns:
  true if this command can accept the given command line.